package io.renren.modules.app.dao;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.HGryjxEntity;
import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.HKmyeEntity;
import io.renren.modules.app.entity.HPzEntity;
import io.renren.modules.app.entity.LlbEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XtcsEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 维修资金预交导入
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface WxzjyjdrDao extends BaseMapper<YwpzEntity> {

	// 下拉框
	List<XlkEntity> selectdw();

	List<XlkEntity> selectyh();

	List<XlkEntity> selectjsfs();

	// 保存按钮
	void insertbc(YwpzEntity ywpzEntity);

	int selectgzd(String id);

	int selectxtcs(String id);

	int selectdqkjqj(String id);

	int selecthsqj(YwpzEntity ywpzEntity);

	String selectsfyj(YwpzEntity ywpzEntity);
	
	String selectsysfyj(YwpzEntity ywpzEntity);

	String selectcwsfyj(YwpzEntity ywpzEntity);

	String selectscwsfyj(String id);

	int selectdwjk(YwpzEntity ywpzEntity);

	int selectgrjk(YwpzEntity ywpzEntity);
	
	int selectywlcmzw(YwpzEntity ywpzEntity);
	
	int selectzqmzw(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectwftphjc(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectyftphjc(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectgrwxzjphjc(YwpzEntity ywpzEntity);

	List<HKmyeEntity> selectpzfse(YwpzEntity ywpzEntity);

	List<HKmyeEntity> selectpzfse2(YwpzEntity ywpzEntity);

	void updatekmye(HKmyeEntity hKmyeEntity);

	void updatekmye2(HKmyeEntity hKmyeEntity);
	
	void updatekmye3(HKmyeEntity hKmyeEntity);

	void updatextcs(YwpzEntity ywpzEntity);

	void updatehsqj(YwpzEntity ywpzEntity);
	
	void updatefyjhsqj(YwpzEntity ywpzEntity);
	
	void updatecwhsqj(YwpzEntity ywpzEntity);
	
	void updatecwfhsqj(YwpzEntity ywpzEntity);

	List<HPzEntity> selectpzjz(YwpzEntity ywpzEntity);
	
	void updatehzt(YwpzEntity ywpzEntity);
	
	int selectcwkjqj(String id);
	
	int selectkmsfcz(HKmyeEntity hKmyeEntity);
	
	void insertnewkm(HKmyeEntity hKmyeEntity);
	
    void deleteqcye(YwpzEntity ywpzEntity);
	
	void updatefse(HKmyeEntity hKmyeEntity);
	
	List<HKmyeEntity> selectkmye(YwpzEntity ywpzEntity);
	
	List<HKmEntity> selecthkm();
	
	List<HKmyeEntity> selelctkmyeo(String id);
	
	void inserthhsqj(String id);
	
	void deletehsqj(String id);
	
	void insertcwhsqj(YwpzEntity ywpzEntity);
	
	String queryhsqjbm();
	
	void deletecwhsqj(String id);
	
	List<HPzEntity> selectCWSSPH(HPzEntity hPzEntity);
	
	List<ZhxxEntity> selectzhxx();
	
	XtcsEntity selectxtcs1();
	
	int selectndsj();
	
	YwpzEntity selectkjnd();
	
	List<FwxxEntity> selectfwxxbydh(String id);
	
	HPzEntity selectgjlastday(String id);
	
	String queryByCount(String id);
	
	List<LlbEntity> selectllxx(HashMap<String, String> map);
	
	ZhxxEntity selectdwbydh(String id);
	
	void insertywpzjx(YwpzEntity ywpzEntity);
	
	void updatedf(String id);
	
	void updatejf(String id);
	
	List<HPzEntity> selectsumjdf(HashMap<String, String> map);
	
	YwpzEntity selectcjc(HashMap<String, String> map);
	
	YwpzEntity selectzqcl(HashMap<String, String> map);
	
	void insertywpzjiexi(YwpzmxEntity ywpzmxEntity);
	
	void deleteywpzbyid(String id);
	
	void updateywpzbyid(YwpzEntity ywpzEntity);
	
	ZhxxEntity selectzhxx1(String id);
	
	void updateZhxx(ZhxxEntity zhxxEntity);
	
	List<ZhxxEntity> queryByPagePLJX();
	
    List<FwxxEntity> selectfwxx2();
	
	void deletegryjx();
	
	void insertgryjx(HGryjxEntity hGryjxEntity);
	
	List<HGryjxEntity> queryByPageYJLXFW();
	
	List<HGryjxEntity> queryByPageYJLXLZ();
	
	List<YwpzEntity> selectfzhsmx(String id);
	
	List<YwpzEntity> selectfffff(String id);
	
	List<YwpzEntity> selectfzhsmx03(String id);
	
	void insertfzhsye(YwpzEntity ywpzEntity);
	
	void insertfzhsyeList(List<YwpzEntity> list);
	
	void updatefzhsye2(YwpzEntity ywpzEntity);
	
	void updatefzhsye2List(List<YwpzEntity> list);
	
	List<YwpzEntity> selectfzhsye(String id);
	
	List<YwpzEntity> selectfzhsye03(String id);
	
	List<YwpzEntity> selectxmbm555();
	
	void deletefzhsye(String id);
	
	void updatefzhsye(String id);
	
	void deletefzhsmxgrdw(String id);
	
	void deletefzhsmxgrdwnext(String id);
	
	List<YwpzEntity> selectdyfs(String id);
	
	List<YwpzEntity> selectdyfshs(String id);

}
